aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/common/include-agl-lava-jobs-submit.sh4
-rw-r--r--jjb/common/include-agl-run-test-short-guppy.sh2
-rw-r--r--jjb/common/include-agl-run-test-short-halibut.sh2
-rw-r--r--jjb/common/include-agl-run-test-short.sh2
-rw-r--r--jjb/common/include-agl-send-email-report.sh11
5 files changed, 13 insertions, 8 deletions
diff --git a/jjb/common/include-agl-lava-jobs-submit.sh b/jjb/common/include-agl-lava-jobs-submit.sh
index dbb1f93e..8d8a4f9e 100644
--- a/jjb/common/include-agl-lava-jobs-submit.sh
+++ b/jjb/common/include-agl-lava-jobs-submit.sh
@@ -136,10 +136,10 @@ fi
if [ $GOODJOB -eq 0 ];then
# send -1
- ssh -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${GERRIT_CHANGE_NUMBER},${GERRIT_PATCHSET_NUMBER} --verified +1 --label ci-image-boot-test=-1 -n NONE --message='CI-Image-Boot-Test\ fail' || true
+ ssh -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${GERRIT_CHANGE_NUMBER},${GERRIT_PATCHSET_NUMBER} --verified +1 --label ci-image-boot-test=-1 -n NONE --message="CI-Image-Boot-Test\ fail\ on\ ${MACHINE}" || true
else
# send +1
- ssh -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${GERRIT_CHANGE_NUMBER},${GERRIT_PATCHSET_NUMBER} --verified +1 --label ci-image-boot-test=+1 -n NONE --message='CI-Image-Boot-Test\ success' || true
+ ssh -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${GERRIT_CHANGE_NUMBER},${GERRIT_PATCHSET_NUMBER} --verified +1 --label ci-image-boot-test=+1 -n NONE --message="CI-Image-Boot-Test\ success\ on\ ${MACHINE}" || true
fi
# after one successful submit, we're done
diff --git a/jjb/common/include-agl-run-test-short-guppy.sh b/jjb/common/include-agl-run-test-short-guppy.sh
index c6385219..35f4fe45 100644
--- a/jjb/common/include-agl-run-test-short-guppy.sh
+++ b/jjb/common/include-agl-run-test-short-guppy.sh
@@ -12,7 +12,7 @@ UPLOAD_URL=${UPLOAD_URL_BASE}/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/de
cd $REPODIR
-wget -q ${UPLOAD_URL}/build-info
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
if [ -e build-info ]; then
cat build-info
source build-info
diff --git a/jjb/common/include-agl-run-test-short-halibut.sh b/jjb/common/include-agl-run-test-short-halibut.sh
index c6385219..35f4fe45 100644
--- a/jjb/common/include-agl-run-test-short-halibut.sh
+++ b/jjb/common/include-agl-run-test-short-halibut.sh
@@ -12,7 +12,7 @@ UPLOAD_URL=${UPLOAD_URL_BASE}/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/de
cd $REPODIR
-wget -q ${UPLOAD_URL}/build-info
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
if [ -e build-info ]; then
cat build-info
source build-info
diff --git a/jjb/common/include-agl-run-test-short.sh b/jjb/common/include-agl-run-test-short.sh
index 6dc1c79f..f97218e8 100644
--- a/jjb/common/include-agl-run-test-short.sh
+++ b/jjb/common/include-agl-run-test-short.sh
@@ -12,7 +12,7 @@ UPLOAD_URL=${UPLOAD_URL_BASE}/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}/
cd $REPODIR
-wget -q ${UPLOAD_URL}/build-info
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
if [ -e build-info ]; then
cat build-info
source build-info
diff --git a/jjb/common/include-agl-send-email-report.sh b/jjb/common/include-agl-send-email-report.sh
index 01daea34..84e3df80 100644
--- a/jjb/common/include-agl-send-email-report.sh
+++ b/jjb/common/include-agl-send-email-report.sh
@@ -12,10 +12,12 @@ UPLOAD_URL=${UPLOAD_URL_BASE}/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}/
set | grep MACH
-wget -q ${UPLOAD_URL}/build-info || exit 0
+send_email_report()
+{
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: send_email_report: failed to get build-info"
if [ ! -s build-info ]; then
- exit 0
+ return 0
fi
cat build-info
source build-info
@@ -30,6 +32,9 @@ if [ -n "$KCI_EMAIL_AUTH_TOKEN" ]; then
GIT_DESCRIBE=$DIST_BB_DISTRO_VERSION-${DIST_LAYERS_MD5:0:8}
fi
PLAN='agl-testplan'
- curl -X POST -H "Authorization: $KCI_EMAIL_AUTH_TOKEN" -H "Content-Type: application/json" -d '{"job": "'$TREE_NAME'", "kernel": "'$GIT_DESCRIBE'", "git_branch": "'$BRANCH'", "report_type": "test", "plan": "'$PLAN'", "send_to": ["automotive-testreports@lists.linuxfoundation.org"], "format": ["txt"], "delay": 3600}' ${KCI_API}/send
+ curl -X POST -H "Authorization: $KCI_EMAIL_AUTH_TOKEN" -H "Content-Type: application/json" -d '{"job": "'$TREE_NAME'", "kernel": "'$GIT_DESCRIBE'", "git_branch": "'$BRANCH'", "report_type": "test", "plan": "'$PLAN'", "send_to": ["automotive-testreports@lists.linuxfoundation.org"], "format": ["txt"], "delay": 3600}' ${KCI_API}/send || echo "ERROR: send_email_report: curl"
echo "The test email reportS will be sent with a delay of 1 hour "
fi
+}
+
+send_email_report